LocalConnectionAnalysis=function(path, data_separ,masking,mask_path,mask_separ,regress_separ,decomposition_separ,regressors_file=NULL, regress=FALSE, alpha=0.05, alpha2=0.05, strong=1, testType="parametric", permutations = 10000, MCPprocedure="bonferroni", decomposition_method, automatic_decomposition, decomposition_file, paired=FALSE, alternative="two.sided",summaryFunctionName="MeanEdgesWeights",plotResults=FALSE,nodesLabels=NULL, nodesColor="firebrick1", edgesColor="yellow2",option="one region to one region"){
library(igraph)
options(warn=1)
source(paste(connectomeAnalyzerPath,'/loadData.r',sep=""))
data = loadData(path,separ=data_separ,masking,mask_path,mask_separ)
regressors = NULL
if(regress){
	source(paste(connectomeAnalyzerPath,"load_regressors.r",sep=""))
	regressors = loadRegressors(regressors_file,regress_separ,data$names)
	source(paste(connectomeAnalyzerPath,"regress_data.r",sep=""))
	data = regress_data(data,regressors)
	regressors = NULL
}
if(masking){
	for(i in 1:dim(data$dataGroup1)[1]){
		for(j in 1:dim(data$dataGroup1)[2]){
			if(data$mask[i,j] == 0){
				data$dataGroup1[i,j,,] = 0
				data$dataGroup2[i,j,,] = 0
			}	
		}
	}
}
if(decomposition_method == 'File')
{source(paste(connectomeAnalyzerPath,"load_subregions.r", sep=""))
SubregionsIndices=loadSubregions(decomposition_file,decomposition_separ)}
else
{
	if(decomposition_method == 'Automatic')
	{
		source(paste(connectomeAnalyzerPath,"decomposition.r", sep=""))
		SubregionsIndices=decomposition(data,automatic_decomposition)
	}
	else
	{print('Unknown decomposition method')}
}
source(paste(connectomeAnalyzerPath,"reduceData.r", sep=""))
source(paste(connectomeAnalyzerPath,"SummaryFunctions.r", sep=""))
source(paste(connectomeAnalyzerPath,"ConstructFilter.r", sep=""))
source(paste(connectomeAnalyzerPath,"ComputeK.r", sep=""))
source(paste(connectomeAnalyzerPath,"SWA.r", sep=""))
SWAresults=SWA(path=path, data=data, SubregionsIndices=SubregionsIndices, summaryFunctionName=summaryFunctionName, WieghtsMatrix=1, option=option, alpha=alpha, MCPprocedure=MCPprocedure,testType = testType, permutations = permutations, paired=paired, alternative=alternative,regressors=NULL, plotResults=plotResults)
source(paste(connectomeAnalyzerPath,"TwoStep.r", sep=""))
TwoStep(path=path, data=data,SWAresults,SubregionsIndices=SubregionsIndices, option=option,alpha=alpha, alpha2=alpha2,strong=strong, paired=paired,testType=testType, permutations = permutations, MCPprocedure=MCPprocedure, alternative=alternative,regressors=NULL, plotResults=plotResults, nodesLabels=NULL, nodesColor="firebrick1", edgesColor="yellow2")
}


