LocalConnectionAnalysis=function(path, regressors_file=NULL, regress=FALSE, alpha=0.05, alpha2=0.05, strong=1, testType="parametric", MCPprocedure="bonferroni", decomposition_file, alternative="two.sided",summaryFunction=MeanEdgesWeights,plotResults=F,nodesLabels=NULL, nodesColor="firebrick1", edgesColor="yellow2")
{
library(igraph)
source(paste(connectomeAnalyzerPath,'loadData.r',sep=""))
data = loadData(path,separ=",")
regressors = NULL
if(regress){
	source(paste(connectomeAnalyzerPath,"regress_data.r",sep=""))
	Info=read.table(regressors_file, sep="")
	Age=Info[,2]
	Gender=Info[,1]
	regressors= data.frame(Gender,Age)
	data = regress_data(data,regressors)
	regressors = NULL
}
SubregionsIndices=read.table(decomposition_file,header=FALSE)
source(paste(connectomeAnalyzerPath,"reduceData.r", sep=""))
source(paste(connectomeAnalyzerPath,"SummaryFunctions.r", sep=""))
source(paste(connectomeAnalyzerPath,"ConstructFilter.r", sep=""))
source(paste(connectomeAnalyzerPath,"ComputeK.r", sep=""))
source(paste(connectomeAnalyzerPath,"SWA-script.r", sep=""))
source(paste(connectomeAnalyzerPath,"2-step.r", sep=""))

print(c(AWA, RMWC, RMNC, RMIO))
print('[ DONE ]')
}
