LocalConnectionAnalysis=function(path, regressors_file=NULL, regress=FALSE, alpha=0.05, alpha2=0.05, strong=1, testType="parametric", MCPprocedure="bonferroni", decomposition_file, alternative="two.sided",sum_func_name="mean",plotResults=FALSE,nodesLabels=NULL, nodesColor="firebrick1", edgesColor="yellow2",option="one region to one region",paired=FALSE){
library(igraph)
source(paste(connectomeAnalyzerPath,'loadData.r',sep=""))
data = loadData(path,separ=",")
regressors = NULL
if(regress){
	source(paste(connectomeAnalyzerPath,"regress_data.r",sep=""))
	Info=read.table(regressors_file, sep="")
	Age=Info[,2]
	Gender=Info[,1]
	regressors= data.frame(Gender,Age)
	data = regress_data(data,regressors)
	regressors = NULL
}
SubregionsIndices=read.table(decomposition_file,header=FALSE)
source(paste(connectomeAnalyzerPath,"reduceData.r", sep=""))
source(paste(connectomeAnalyzerPath,"SummaryFunctions.r", sep=""))
source(paste(connectomeAnalyzerPath,"ConstructFilter.r", sep=""))
source(paste(connectomeAnalyzerPath,"ComputeK.r", sep=""))
summaryFunction = get(sum_func_name)
source(paste(connectomeAnalyzerPath,"SWA-script.r", sep=""))
SWAresults=SWA(path=path,data=data, SubregionsIndices=SubregionsIndices, summaryFunction=summaryFunction, WieghtsMatrix=1, option=option, alpha=alpha, MCPprocedure=MCPprocedure,testType = testType, paired=paired, alternative=alternative,regressors=NULL, plotResults=plotResults,sum_func_name=sum_func_name)
source(paste(connectomeAnalyzerPath,"2-step-Script.r", sep=""))
TwoStep(path=path, data=data,SubregionsIndices,SWAresults=SWAresults,alpha=alpha, alpha2=alpha2,paired=paired,testType=testType,MCPprocedure=MCPprocedure, alternative=alternative,regressors=NULL, plotResults=plotResults,strong = strong,option=option)
print('[ DONE ]')
}
