MeanEdgesWeights=function(x, th=0){
if(sum(as.vector(x))<=th){
return(0)
}
else{
return(sum(as.vector(x)[as.vector(x)>th])/sum(as.vector(x)>th))
}
}

NumberOfConnections=function(x){
if(sum(as.vector(x))==0){
return(0)
}
else{
return(sum(as.vector(x)>0))
}
}

MeanBetweenness=function(x, weighted=TRUE){
Graph <- graph.adjacency(x, mode="undirected", weighted=weighted)
return(mean(betweenness(Graph)))
}

MeanCloseness=function(x, weighted=TRUE){
Graph <- graph.adjacency(x, mode="undirected", weighted=weighted)
return(mean(closeness(Graph)))
}

MeanDegree=function(x, weighted=weighted){
Graph <- graph.adjacency(x, mode="undirected", weighted=weighted)
if(is.null(weighted))
{
	return(mean(degree(Graph)))
}
else
{
	return(mean(graph.strength(Graph)))
}
}

MeanDiameter=function(x, weighted=TRUE){
Graph <- graph.adjacency(x, mode="undirected", weighted=weighted)
return(mean(diameter(Graph)))
}

GlobalEfficiency=function(x, weighted=TRUE){
g <- graph.adjacency(x, mode="undirected", weighted=weighted)
temp=(1/shortest.paths(g))
diag(temp)=0
N= dim(x)[1]
return( sum(temp)/(N*(N-1)))
}

SmallWorldness=function(x, weighted=weighted){
Graph <- graph.adjacency(x, mode="undirected", weighted=weighted)
rand_graph = erdos.renyi.game(vcount(Graph),ecount(Graph),type="gnm")
norm_clustering = transitivity(Graph)/transitivity(rand_graph)
norm_shortest_path = mean(shortest.paths(Graph))/mean(shortest.paths(rand_graph))
return(norm_clustering/norm_shortest_path)
}
################################################################################
########## local measures ######################################################
################################################################################
NodalEfficiency=function(g, weighted=weighted){
temp=(1/shortest.paths(g))
diag(temp)=0
N= dim(temp)[1]
return(1/(N-1)*apply(temp,1,sum))
}

Strength=function(g, mode="all", loops = F, weights=NULL){
return(graph.strength(g, mode=mode, loops = loops, weights = weights))
}
Clustering=function(g){ 
return(transitivity(Graph, "local"))
}



