TwoStep=function(path, data,SWAresults,SubregionsIndices,alpha=0.05, alpha2=0.05,strong=1, paired=FALSE,testType="parametric",permutations = 10000, MCPprocedure="bonferroni", alternative="two.sided",regressors=NULL, plotResults=FALSE,nodesLabels=NULL, nodesColor="firebrick1", edgesColor="yellow2", option="one region to one region"){
if(length(path) > 1){
	res_folder = '/Multivariate_results/'
}
else{
	res_folder = '/Results/'
}
source(paste(connectomeAnalyzerPath,"relaxed2step.r", sep=""))
source(paste(connectomeAnalyzerPath,"Graph plots.r", sep=""))
source(paste(connectomeAnalyzerPath,"ComputeK.r", sep=""))
procedure=MCPprocedure    
source(paste(connectomeAnalyzerPath,"localAnalysis.r", sep=""))

if (file.exists(paste(path[1],res_folder,sep=""))==FALSE){
dir.create(paste(path[1],res_folder,sep=""))
}
localResults=localAnalysis(connectomeAnalyzerPath=connectomeAnalyzerPath, data$dataGroup1, data$dataGroup2,alpha=alpha2,paired=paired, testType=testType,permutations = permutations,MCPprocedure=MCPprocedure, alternative=alternative,regressors=regressors)
sum(localResults$p_values<=localResults$threshold)
results=(localResults$pValuesMatrix<=localResults$threshold)

print("Number of atoms rejected by AWA is:")
AWA=sum(localResults$pValuesMatrix<=localResults$threshold)/2+0.5*sum(diag((localResults$pValuesMatrix<=localResults$threshold)))
print(AWA)
results=localResults$pValuesMatrix<=localResults$threshold


matrixOfSignificance=localResults$pValuesMatrix 
matrixOfSignificance[localResults$pValuesMatrix>localResults$threshold]=0

write.table(matrix(as.numeric(results), ncol=ncol(results)), paste(path[1], res_folder,MCPprocedure,"_",alternative,"_alpha-",alpha,"_",testType,"_AWA.csv", sep=""))
#read.table(paste(path, "/Results/",measure,"_",MCPprocedure,"_",alternative,"_","AWA.csv", sep=""))
if (plotResults==TRUE){
if ((sum(localResults$pValuesMatrix<=localResults$threshold)/2+0.5*sum(diag((localResults$pValuesMatrix<=localResults$threshold))))>0) {
png(paste(path[1], "/Results/",MCPprocedure,"_",alternative,"_","AWA.png", sep=""),width = 960, height = 960,
    units = "px", pointsize = 12, bg = "white", res = NA)

#matrixOfSignificance=matrix(as.numeric(results), ncol=ncol(results))
LG=plot.Graph(data, matrixOfSignificance, section="Dorsal",nodesColor=nodesColor, edgesColor=edgesColor, labels=labels)
dev.off()
}
}
## Relaxation
s=length(unique(SubregionsIndices[,1]))
R=SWAresults$R 
BlockPvalues=SWAresults$BlockPvalues 
m=s*(s+1)/2
si=floor(0.5/m*(dim(data$dataGroup1)[2])^2)
ui1= qnorm(1-alpha/(m))
ui3= qnorm(1-alpha/(m))
if (procedure == "BH"|| procedure =="BY"|| procedure =="fdr"){
ui1= qnorm(1-max(1,R)*alpha/(m))
ui3= qnorm(1-max(1,R)*alpha/(m))
}

if (procedure =="gFDR1"){
ui1= qnorm(1-max(1,R^0.5)*alpha/(m))
ui3=ui1
}

ui2= qnorm(1-alpha)


(relaxation1=computeK2(alpha2,m,si,localResults$scoresMatrix,0.05,1,ui1))
print(paste("Relaxation coefficient 1" , relaxation1))
(relaxation2=computeK2(alpha2,m,si,localResults$scoresMatrix,0.05,1,ui2))
print(paste("Relaxation coefficient 2" , relaxation2))
(relaxation3=computeK3(alpha,strong=strong,m,si,localResults$scoresMatrix,0.05,1,ui1))
print(paste("Relaxation coefficient 3" , relaxation3))

ResultsMatrix=BlockPvalues<=1-pnorm(ui1)
Filter=ConstructFilter(matrix=ResultsMatrix, SubregionsIndices=SubregionsIndices, option=option)

newMatrixOfPvalues2=(1-Filter)+1/relaxation1*Filter*localResults$pValuesMatrix

MatrixPvalues=NULL
MatrixPvalues$MatrixOfPvalues=newMatrixOfPvalues2
MatrixPvalues$MatrixOfOmmission=localResults$MatrixOfOmmission#*Filter

out2=getThreshold(MatrixOfPvalues=MatrixPvalues,WieghtsMatrix=1, alpha=alpha2, MCPprocedure=MCPprocedure,option=option)
(out2$threshold)

print("Number of atoms rejected by RM with correction in the first step is:")
RMWC=sum(newMatrixOfPvalues2<=out2$threshold)/2+(1/2)*sum(diag(newMatrixOfPvalues2<=out2$threshold))
print(RMWC)

print(out2$minAdjustedPvalue)

matrixOfSignificance=newMatrixOfPvalues2 
matrixOfSignificance[newMatrixOfPvalues2>out2$threshold]=0
write.table(matrix(as.numeric(results), ncol=ncol(results)), paste(path[1], res_folder,MCPprocedure,"_",alternative,"_alpha-",alpha,"_alpha2-",alpha2,"_",testType,"_RMWC.csv", sep=""))
#matrixOfSignificance=0.05*as.matrix(read.table(paste(path, "/Results/",measure,"_",MCPprocedure,"_",alternative,"_","RMNC.csv", sep="")))
if (plotResults==TRUE){
diag(matrixOfSignificance)=0
if (sum(matrixOfSignificance)>0){
png(paste(path[1], res_folder,MCPprocedure,"_",alternative,"_","RMWC.png", sep=""),width = 960, height = 960,
    units = "px", pointsize = 12, bg = "white", res = NA)
source(paste(connectomeAnalyzerPath,"Graph plots.r", sep=""))
#matrixOfSignificance=matrix(as.numeric(results), ncol=ncol(results))
LG=plot.Graph(data, matrixOfSignificance, section="Dorsal",nodesColor=nodesColor, edgesColor=edgesColor, labels=labels)#, secondMatrix=secondMatrix)
dev.off()
}
}
################################################################################
ResultsMatrix=BlockPvalues<=1-pnorm(ui2)
Filter=ConstructFilter(matrix=ResultsMatrix, SubregionsIndices=SubregionsIndices, option=option)

newMatrixOfPvalues2=(1-Filter)+1/relaxation1*Filter*localResults$pValuesMatrix


MatrixPvalues=NULL
MatrixPvalues$MatrixOfPvalues=newMatrixOfPvalues2
MatrixPvalues$MatrixOfOmmission=localResults$MatrixOfOmmission#*Filter

out2=getThreshold(MatrixOfPvalues=MatrixPvalues,WieghtsMatrix=1, alpha=alpha2, MCPprocedure=MCPprocedure,option=option)
(out2$threshold)
print("Number of atoms rejected by RM without correction in the first step is:")
RMNC=sum(newMatrixOfPvalues2<=out2$threshold)/2+(1/2)*sum(diag(newMatrixOfPvalues2<=out2$threshold))
print(RMNC)
print(out2$minAdjustedPvalue)
results=newMatrixOfPvalues2<=out2$threshold

matrixOfSignificance=newMatrixOfPvalues2 
matrixOfSignificance[newMatrixOfPvalues2>out2$threshold]=0
write.table(matrix(as.numeric(results), ncol=ncol(results)), paste(path[1], res_folder, MCPprocedure,"_",alternative,"_alpha-",alpha,"_alpha2-",alpha2,"_",testType,"_RMNC.csv", sep=""))
#matrixOfSignificance=0.05*as.matrix(read.table(paste(path, "/Results/",measure,"_",MCPprocedure,"_",alternative,"_","RMNC.csv", sep="")))
if (plotResults==TRUE){
diag(matrixOfSignificance)=0
if (sum(matrixOfSignificance)>0){
png(paste(path[1], res_folder,MCPprocedure,"_",alternative,"_","RMNC.png", sep=""),width = 960, height = 960, units = "px", pointsize = 12, bg = "white", res = NA)
source(paste(connectomeAnalyzerPath,"Graph plots.r", sep=""))
#matrixOfSignificance=matrix(as.numeric(results), ncol=ncol(results))
LG=plot.Graph(data, matrixOfSignificance, section="Dorsal",nodesColor=nodesColor, edgesColor=edgesColor, labels=labels, edgesWidthCoef=2, secondColor="red", secondMatrix=NULL,thirdColor="orange", thirdMatrix=NULL)#, secondMatrix=secondMatrix)
dev.off()
}
}
################################################################################
################################################################################
ResultsMatrix=BlockPvalues<=1-pnorm(ui3)
Filter=ConstructFilter(matrix=ResultsMatrix, SubregionsIndices=SubregionsIndices, option=option)

newMatrixOfPvalues2=(1-Filter)*strong*localResults$pValuesMatrix+1/relaxation1*Filter*localResults$pValuesMatrix

MatrixPvalues=NULL
MatrixPvalues$MatrixOfPvalues=newMatrixOfPvalues2
MatrixPvalues$MatrixOfOmmission=localResults$MatrixOfOmmission#*Filter

out2=getThreshold(MatrixOfPvalues=MatrixPvalues,WieghtsMatrix=1, alpha=alpha2, MCPprocedure=MCPprocedure,option=option)
(out2$threshold)
print("Number of atoms rejected by RMIO with correction in the first step is:")
RMIO=sum(newMatrixOfPvalues2<=out2$threshold)/2+(1/2)*sum(diag(newMatrixOfPvalues2<=out2$threshold))
print(RMIO)
print(out2$minAdjustedPvalue)
results=newMatrixOfPvalues2<=out2$threshold

matrixOfSignificance=newMatrixOfPvalues2 
matrixOfSignificance[newMatrixOfPvalues2>out2$threshold]=0
write.table(matrix(as.numeric(results), ncol=ncol(results)), paste(path[1], res_folder,MCPprocedure,"_",alternative,"_alpha-",alpha,"_alpha2-",alpha2,"_strong-",strong,"_",testType,"_RMIO.csv", sep=""))
#matrixOfSignificance=as.matrix(read.table(paste(path, "/Results/",measure,"_",MCPprocedure,"_",alternative,"_","RMIO.csv", sep="")))
if (plotResults==TRUE){
diag(matrixOfSignificance)=0
if (sum(matrixOfSignificance)>0){
png(paste(path[1], res_folder,MCPprocedure,"_",alternative,"_","RMIO.png", sep=""),width = 960, height = 960,
    units = "px", pointsize = 12, bg = "white", res = NA)
source(paste(connectomeAnalyzerPath,"Graph plots.r", sep=""))
#matrixOfSignificance=matrix(as.numeric(results), ncol=ncol(results))
LG=plot.Graph(data, matrixOfSignificance, section="Dorsal",nodesColor=nodesColor, edgesColor=edgesColor, labels=labels)
dev.off()
}
}
}
