computePvalue=function(group1, group2, testType = "parametric", permutations = 10000, paired=FALSE,alternative="two.sided", regressors=NULL){


if (length(regressors)==0){
	if (sum(dim(group1))==0){
		n1=length(group1)
		n2=length(group2)
		groups=as.factor(c(rep(0,n1),rep(1,n2)))
		ommit=FALSE
		p.value=NULL
		statistic=NULL
		if(var(group1)==0 || var(group2)==0){
		  p.value=0.5
		  ommit=TRUE
		  statistic=0
		  }
		else{
		  # testType = "parametric" or "non parametric"
		  if(testType == "parametric"){
		    p.value=t.test(group1,group2, paired=paired, alternative=alternative)$p.value
		    statistic=qnorm(1-p.value)
		  }
		  if(testType == "non-parametric"){
		    p.value=as.numeric((wilcox.test(group1,group2, paired=paired, alternative=alternative)$p.value)[1])
		    statistic=qnorm(1-p.value)
		    #statistic=as.numeric((wilcox.test(group1,group2, paired=paired, alternative=alternative)$statistic))
		  }
		}
	}
	else
	{
		library('Hotelling')
		ommit=FALSE
		p.value=NULL
		statistic=NULL
		if(var(group1)==0 || var(group2)==0){
		  p.value=0.5
		  ommit=TRUE
		  statistic=0
		  }
		else{
			if( testType == 'parametric'){
				p.value = hotelling.test(group1,group2, shrinkage=FALSE, perm = FALSE)$pval 
				statistic=qnorm(1-p.value)
			}
			if( testType == 'non-parametric')
			{
				p.value = hotelling.test(group1,group2, shrinkage=FALSE, perm = TRUE, B = permutations)$pval
				statistic=qnorm(1-p.value)
			}
		}
	}
}
else{
	if (sum(dim(group1))==0){
		n1=length(group1)
		n2=length(group2)
		groups=as.factor(c(rep(0,n1),rep(1,n2)))
		ommit=FALSE
		p.value=NULL
		statistic=NULL
		if(var(group1)==0 || var(group2)==0){
		  p.value=0.5
		  ommit=TRUE
		  statistic=0
		}
		else{
		  chkoupi=summary(glm(c(group1,group2)~groups+regressors))
		  p.value=chkoupi$coefficients[2,4]
		  statistic=qnorm(1-p.value)
		}
	}
}
pValue=NULL
pValue$p.value=p.value
pValue$ommit=ommit
pValue$statistic=statistic
return(pValue)
}
