globalAnalysis=function(measure, path, resolutions, Cortical_SubCortical=FALSE, alpha=0.05, paired=FALSE, alternative="less", networkMeasure){
library(igraph)
Global=matrix(NA,(length(resolutions)),4)
if (Cortical_SubCortical==TRUE){
CsubC=array(NA, dim=c(4,4,length(resolutions)))
}
apl=NULL
for(r in 1:(length(resolutions))){
resolution=resolutions[r]
data=loadData(measure, path, resolution)
#data$dataControl[data$dataControl==0.0000008]=0
#data$dataTreatment[data$dataTreatment==0.0000008]=0

(t.global=t.test(apply(data$dataControl,3,mean),apply(data$dataTreatment,3,mean),alternative, paired=paired))
(t.RR=t.test(apply(data$dataControl[data$RightIndices,data$RightIndices,],3,mean),apply(data$dataTreatment[data$RightIndices,data$RightIndices,],3,mean),alternative, paired=paired))
(t.LL=t.test(apply(data$dataControl[data$LeftIndices,data$LeftIndices,],3,mean),apply(data$dataTreatment[data$LeftIndices,data$LeftIndices,],3,mean),alternative, paired=paired))
(t.RL=t.test(apply(data$dataControl[data$RightIndices,data$LeftIndices,],3,mean),apply(data$dataTreatment[data$RightIndices,data$LeftIndices,],3,mean),alternative, paired=paired))
(Global[r,]=c(t.global$p.value,t.RR$p.value,t.LL$p.value,t.RL$p.value) )


networkControl=NULL
for(ic in 1:(dim(data$dataControl)[3])){
controlGraph <- graph.adjacency(data$dataControl[,,ic], mode="undirected", weighted=TRUE)
networkControl=c(networkControl,mean(networkMeasure(controlGraph)))#, directed=FALSE))
}
networkTreatment=NULL
for(it in 1:(dim(data$dataTreatment)[3])){
treatmentGraph <- graph.adjacency(data$dataTreatment[,,it], mode="undirected", weighted=TRUE)
networkTreatment=c(networkTreatment,mean(networkMeasure(treatmentGraph)))#, directed=FALSE))
}
apl=c(apl,wilcox.test(networkControl,networkTreatment, "less")$p.value)

if (Cortical_SubCortical==TRUE){
for ( i in 1:4 ){
  for ( j in 1:4 ){
    CsubC[ i, j, r]=t.test(apply(data$dataControl[(data$Cortical_subcortical[i,2]:data$Cortical_subcortical[i,3]),(data$Cortical_subcortical[j,2]:data$Cortical_subcortical[j,3]),],3,mean),apply(data$dataTreatment[(data$Cortical_subcortical[i,2]:data$Cortical_subcortical[i,3]),(data$Cortical_subcortical[j,2]:data$Cortical_subcortical[j,3]),],3,mean), paired=paired, alternative=alternative)$p.value
}
}

}
}
colnames(Global)=c("Global", "RR", "LL","RL")
rownames(Global)=resolutions
# A latex code for the results
print(xtable(Global,digits=4, caption=paste(measure)))
threshold=alpha
nbTests=10
results=NULL
results$Global=Global


if (Cortical_SubCortical==TRUE){
for(r in 1:(length(resolutions))){
resolution=resolutions[r]
print(xtable(CsubC[, ,r ],digits=4, caption=paste("Resolution",resolution)))
x11()
image.plot(CsubC[,,r]<=(threshold/nbTests),axes=FALSE, main=paste("Resolution", resolution))
} 
results$CsubC=CsubC
}
results$apl=apl

return(results)
}

#t.test(x,y[c(-1,-7,-8,-9)],"greater")