loadData=function(path, separ=",", masking, mask_path, mask_separ){
# comparing control with patients
group1Names=list.files(paste(path[1],"/Group1",sep=""))
group2Names=list.files(paste(path[1],"/Group2",sep=""))  
n1=length(group1Names)
n2=length(group2Names)
#groups=as.factor(c(rep(0,n1),rep(1,n2)))
# loading data #################################################################
file_ext = strsplit(paste(path[1],'/Group1/',group1Names[1],sep=""),"\\.")[[1]][2]
if(file_ext == 'mat'){

library('R.matlab')
library('R.utils')
library('R.oo')

temp = readMat(paste(path[1],'/Group1/',group1Names[1],sep=""))
temp = temp$matrix
N = nrow(temp)
}
else{
temp=scan(paste(path[1],"/Group1/",group1Names[1],sep=""),sep = separ,quiet=T)
N=length(temp)^0.5
}

if(masking){
	mask_ext = strsplit(mask_path,"\\.")[[1]][2]
	if(mask_ext == 'mat'){

	library('R.matlab')
	library('R.utils')
	library('R.oo')

	mask = readMat(mask_path)
	mask = mask$matrix
	N_mask = nrow(mask)
	}
	else{
	mask=scan(paste(path[1],"/Group1/",group1Names[1],sep=""),sep = separ,quiet=T)
	N_mask=length(temp)^0.5
	}
	
	if(N != N_mask){
		stop(paste('The dimensions of the mask and ',paste(path[1],'/Group1/',group1Names[1],sep=""),' do not match',sep=""))
	}
}

n_variates = length(path)

dataGroup1=array(NA,c(N,N,n1,n_variates))
for (n_var in 1:n_variates)
{
	group1Names=list.files(paste(path[n_var],"/Group1",sep=""))
	if (length(group1Names) != n1)
		{stop(paste('Group1 in ', path[n_var], ' does not have the same number of files as Group1 in ', path[1]))}
	for (k in 1:n1){
	file_ext = strsplit(paste(path[n_var],'/Group1/',group1Names[k],sep=""),"\\.")[[1]][2]
	if(file_ext == 'mat'){
		temp = readMat(paste(path[n_var],'/Group1/',group1Names[k],sep=""))
		temp = temp$matrix[1:N,1:N]
	}
	else{
		temp=matrix(scan(paste(path[n_var],"/Group1/",group1Names[k],sep=""),sep = separ,quiet=T), nrow =N, byrow=TRUE)
	}
	if((length(temp)^0.5)!=N)
	{stop(paste('Matrix in ',path[n_var],"/Group1/",group1Names[k],' has a different shape than ',path[n_var],"/Group1/",group1Names[1],sep=""))}
	diag(temp)=0
	if(masking){
		temp[mask == 0] = 0
	}
	dataGroup1[,,k,n_var]=temp
	}
}
dataGroup2=array(NA,c(N,N,n2,n_variates))
for (n_var in 1:n_variates)
{
	group2Names=list.files(paste(path[n_var],"/Group2",sep="")) 
	if (length(group2Names) != n2)
		{stop(paste('Group2 in ', path[n_var], ' does not have the same number of files as Group2 in ', path[1]))}
	for (k in 1:n2){
	file_ext = strsplit(paste(path[n_var],'/Group2/',group2Names[k],sep=""),"\\.")[[1]][2]
	if(file_ext == 'mat'){
		temp = readMat(paste(path[n_var],'/Group2/',group2Names[k],sep=""))
		temp = temp$matrix[1:N,1:N]
	}
	else{
		temp=matrix(scan(paste(path[n_var],"/Group2/",group2Names[k],sep=""),sep = separ,quiet=T), nrow =N, byrow=TRUE)
	}
	if((length(temp)^0.5)!=N)
	{stop(paste('Matrix in ',path[n_var],"/Group1/",group1Names[k],' has a different shape than ',path[n_var],"/Group1/",group1Names[1],sep=""))}
	diag(temp)=0
	if(masking){
		temp[mask == 0] = 0
	}
	dataGroup2[,,k,n_var]=temp
	}
}
data=NULL
data$dataGroup1=dataGroup1
data$dataGroup2=dataGroup2
data$names = c(group1Names,group2Names)
if(masking)
{
	data$mask = mask
}
return(data)
}
