# Copyright (C) 2009-2011, Ecole Polytechnique Federale de Lausanne (EPFL) and
# Hospital Center and University of Lausanne (UNIL-CHUV), Switzerland
# All rights reserved.
#
#  This software is distributed under the open-source license Modified BSD.

try:
	from traits.api import HasTraits, Str, Enum
    	from traits.ui.api import View, Item, Handler, Group
except ImportError:
	try :
		from enthought.traits.api import HasTraits, Str, Enum
	    	from enthought.traits.ui.api import View, Item, Handler, Group
	except ImportError:
		print('Error: could not load Enthought Traits module. Exiting...')

from info import __version__, __release_date__

desc = {
'About' : """
Software: The Connectome Analyzer

Version: """ + __version__ + """

Released: """ + __release_date__ + """


Copyright (C) 2013, Ecole Polytechnique Federale de Lausanne (EPFL) and
Hospital Center and University of Lausanne (UNIL-CHUV), Switzerland

The code is released under the Modified BSD license.

Contact
-------
djalel.meskaldji@epfl.ch
http://www.cmtk.org/

Contributors
------------
* Djalel Meskaldji
* David Romascano
* Jean-Philippe Thiran
""",
'Help' : """
Software: The Connectome Analyzer

Version: """ + __version__ + """

Released: """ + __release_date__ + """


The Connectome Analyzer documentation is available
on our website:

	http://www.cmtk.org/connectomeanalyzer/

If you have any questions or feedback,
please contact us to the following e-mail address:

		djalel.meskaldji@epfl.ch

"""
}

class HelpDialog ( HasTraits ):

    sections = Enum('Help',desc.keys())
    stagedescription = Str(desc['Help'])  
    view = View(
		Group( Item('stagedescription', style = 'readonly',show_label = False), show_border=True),
		buttons   = [ 'OK' ],
		title = 'Help',
		resizable = False)
    
class AboutDialog ( HasTraits ):

    sections = Enum('About',desc.keys())
    stagedescription = Str(desc['About'])  
    view = View(
		Group( Item('stagedescription', style = 'readonly',show_label = False), show_border=True),
		buttons   = [ 'OK' ],
		title = 'About',
		resizable = False)
    


